dpp::command_resolved
appcommand.h
std::map< dpp::snowflake, dpp::attachment > std::map<dpp::snowflake, dpp::attachment> dpp::command_resolved::attachments attachments dpp::command_resolved::attachments

Resolved attachments.

interaction::get_resolved_attachment

std::map< dpp::snowflake, dpp::channel > std::map<dpp::snowflake, dpp::channel> dpp::command_resolved::channels channels dpp::command_resolved::channels

Resolved channels.

interaction::get_resolved_channel

std::map< dpp::snowflake, permission > std::map<dpp::snowflake, permission> dpp::command_resolved::member_permissions member_permissions dpp::command_resolved::member_permissions

Resolved total guild member permissions including channel overwrites, permissions from roles and administrator privileges.

interaction::get_resolved_permission

std::map< dpp::snowflake, dpp::guild_member > std::map<dpp::snowflake, dpp::guild_member> dpp::command_resolved::members members dpp::command_resolved::members

Resolved guild members.

interaction::get_resolved_member

std::map< dpp::snowflake, dpp::message > std::map<dpp::snowflake, dpp::message> dpp::command_resolved::messages messages dpp::command_resolved::messages

Resolved messages.

interaction::get_resolved_message

std::map< dpp::snowflake, dpp::role > std::map<dpp::snowflake, dpp::role> dpp::command_resolved::roles roles dpp::command_resolved::roles

Resolved roles.

interaction::get_resolved_role

std::map< dpp::snowflake, dpp::user > std::map<dpp::snowflake, dpp::user> dpp::command_resolved::users users dpp::command_resolved::users

Resolved users.

interaction::get_resolved_user

Resolved snowflake ids to users, guild members, roles and channels. You can use the `interaction::get_resolved_*` methods to easily get a resolved set.

K
T
T1
T2
auto_archive_duration_t
bool
cache_policy_setting_t
component_default_value_type
component_style
component_type
default_forum_sort_order_t
double
dpp::attachment
id
height
size
width
content_type
description
filename
proxy_url
url
waveform
ephemeral
duration_secs
flags
owner
dpp::cache_policy_t
channel_policy
emoji_policy
guild_policy
role_policy
user_policy
dpp::channel
CHANNEL_TYPE_MASK
name
rtc_region
topic
recipients
permission_overwrites
available_tags
default_reaction
icon
guild_id
last_message_id
owner_id
parent_id
last_pin_timestamp
permissions
bitrate
default_thread_rate_limit_per_user
flags
position
rate_limit_per_user
default_auto_archive_duration
default_sort_order
user_limit
dpp::cluster
token
last_identify
cluster_id
intents
maxclusters
numshards
rest_ping
me
cache_policy
ws_mode
terminating
request_timeout
socketengine
on_voice_channel_effect_send
on_voice_state_update
on_voice_client_platform
on_voice_client_disconnect
on_voice_client_speaking
on_log
on_socket_close
on_guild_join_request_delete
on_interaction_create
on_slashcommand
on_button_click
on_autocomplete
on_select_click
on_message_context_menu
on_user_context_menu
on_form_submit
on_guild_delete
on_channel_delete
on_channel_update
on_ready
on_message_delete
on_guild_member_remove
on_resumed
on_guild_role_create
on_typing_start
on_message_reaction_add
on_guild_members_chunk
on_message_reaction_remove
on_guild_create
on_channel_create
on_message_reaction_remove_emoji
on_message_delete_bulk
on_guild_role_update
on_guild_role_delete
on_channel_pins_update
on_message_reaction_remove_all
on_voice_server_update
on_guild_emojis_update
on_guild_stickers_update
on_presence_update
on_webhooks_update
on_automod_rule_create
on_automod_rule_update
on_automod_rule_delete
on_automod_rule_execute
on_guild_member_add
on_invite_delete
on_guild_update
on_guild_integrations_update
on_guild_member_update
on_invite_create
on_message_update
on_user_update
on_message_create
on_message_poll_vote_add
on_message_poll_vote_remove
on_guild_audit_log_entry_create
on_guild_ban_add
on_guild_ban_remove
on_integration_create
on_integration_update
on_integration_delete
on_thread_create
on_thread_update
on_thread_delete
on_thread_list_sync
on_thread_member_update
on_thread_members_update
on_guild_scheduled_event_create
on_guild_scheduled_event_update
on_guild_scheduled_event_delete
on_guild_scheduled_event_user_add
on_guild_scheduled_event_user_remove
on_voice_buffer_send
on_voice_ready
on_voice_receive
on_voice_receive_combined
on_voice_track_marker
on_stage_instance_create
on_stage_instance_update
on_stage_instance_delete
on_entitlement_create
on_entitlement_update
on_entitlement_delete
dpp::command_resolved
users
members
member_permissions
roles
channels
messages
attachments
dpp::component
type
components
content
custom_id
description
label
placeholder
url
style
text_style
sku_id
max_length
max_values
min_length
min_values
file_types
options
channel_types
default_values
disabled
is_divider
required
spoiler
value
emoji
accessory
spacing
file
thumbnail
media_gallery_items
accent
dpp::component_default_value
type
id
dpp::embed
description
title
type
url
timestamp
color
footer
image
thumbnail
video
provider
author
fields
dpp::embed_field
name
value
is_inline
dpp::event_router_t< T >
dpp::event_router_t< dpp::autocomplete_t >
< dpp::autocomplete_t >
dpp::event_router_t< dpp::automod_rule_create_t >
< dpp::automod_rule_create_t >
dpp::event_router_t< dpp::automod_rule_delete_t >
< dpp::automod_rule_delete_t >
dpp::event_router_t< dpp::automod_rule_execute_t >
< dpp::automod_rule_execute_t >
dpp::event_router_t< dpp::automod_rule_update_t >
< dpp::automod_rule_update_t >
dpp::event_router_t< dpp::button_click_t >
< dpp::button_click_t >
dpp::event_router_t< dpp::channel_create_t >
< dpp::channel_create_t >
dpp::event_router_t< dpp::channel_delete_t >
< dpp::channel_delete_t >
dpp::event_router_t< dpp::channel_pins_update_t >
< dpp::channel_pins_update_t >
dpp::event_router_t< dpp::channel_update_t >
< dpp::channel_update_t >
dpp::event_router_t< dpp::entitlement_create_t >
< dpp::entitlement_create_t >
dpp::event_router_t< dpp::entitlement_delete_t >
< dpp::entitlement_delete_t >
dpp::event_router_t< dpp::entitlement_update_t >
< dpp::entitlement_update_t >
dpp::event_router_t< dpp::form_submit_t >
< dpp::form_submit_t >
dpp::event_router_t< dpp::guild_audit_log_entry_create_t >
< dpp::guild_audit_log_entry_create_t >
dpp::event_router_t< dpp::guild_ban_add_t >
< dpp::guild_ban_add_t >
dpp::event_router_t< dpp::guild_ban_remove_t >
< dpp::guild_ban_remove_t >
dpp::event_router_t< dpp::guild_create_t >
< dpp::guild_create_t >
dpp::event_router_t< dpp::guild_delete_t >
< dpp::guild_delete_t >
dpp::event_router_t< dpp::guild_emojis_update_t >
< dpp::guild_emojis_update_t >
dpp::event_router_t< dpp::guild_integrations_update_t >
< dpp::guild_integrations_update_t >
dpp::event_router_t< dpp::guild_join_request_delete_t >
< dpp::guild_join_request_delete_t >
dpp::event_router_t< dpp::guild_member_add_t >
< dpp::guild_member_add_t >
dpp::event_router_t< dpp::guild_member_remove_t >
< dpp::guild_member_remove_t >
dpp::event_router_t< dpp::guild_member_update_t >
< dpp::guild_member_update_t >
dpp::event_router_t< dpp::guild_members_chunk_t >
< dpp::guild_members_chunk_t >
dpp::event_router_t< dpp::guild_role_create_t >
< dpp::guild_role_create_t >
dpp::event_router_t< dpp::guild_role_delete_t >
< dpp::guild_role_delete_t >
dpp::event_router_t< dpp::guild_role_update_t >
< dpp::guild_role_update_t >
dpp::event_router_t< dpp::guild_scheduled_event_create_t >
< dpp::guild_scheduled_event_create_t >
dpp::event_router_t< dpp::guild_scheduled_event_delete_t >
< dpp::guild_scheduled_event_delete_t >
dpp::event_router_t< dpp::guild_scheduled_event_update_t >
< dpp::guild_scheduled_event_update_t >
dpp::event_router_t< dpp::guild_scheduled_event_user_add_t >
< dpp::guild_scheduled_event_user_add_t >
dpp::event_router_t< dpp::guild_scheduled_event_user_remove_t >
< dpp::guild_scheduled_event_user_remove_t >
dpp::event_router_t< dpp::guild_stickers_update_t >
< dpp::guild_stickers_update_t >
dpp::event_router_t< dpp::guild_update_t >
< dpp::guild_update_t >
dpp::event_router_t< dpp::integration_create_t >
< dpp::integration_create_t >
dpp::event_router_t< dpp::integration_delete_t >
< dpp::integration_delete_t >
dpp::event_router_t< dpp::integration_update_t >
< dpp::integration_update_t >
dpp::event_router_t< dpp::interaction_create_t >
< dpp::interaction_create_t >
dpp::event_router_t< dpp::invite_create_t >
< dpp::invite_create_t >
dpp::event_router_t< dpp::invite_delete_t >
< dpp::invite_delete_t >
dpp::event_router_t< dpp::log_t >
< dpp::log_t >
dpp::event_router_t< dpp::message_context_menu_t >
< dpp::message_context_menu_t >
dpp::event_router_t< dpp::message_create_t >
< dpp::message_create_t >
dpp::event_router_t< dpp::message_delete_bulk_t >
< dpp::message_delete_bulk_t >
dpp::event_router_t< dpp::message_delete_t >
< dpp::message_delete_t >
dpp::event_router_t< dpp::message_poll_vote_add_t >
< dpp::message_poll_vote_add_t >
dpp::event_router_t< dpp::message_poll_vote_remove_t >
< dpp::message_poll_vote_remove_t >
dpp::event_router_t< dpp::message_reaction_add_t >
< dpp::message_reaction_add_t >
dpp::event_router_t< dpp::message_reaction_remove_all_t >
< dpp::message_reaction_remove_all_t >
dpp::event_router_t< dpp::message_reaction_remove_emoji_t >
< dpp::message_reaction_remove_emoji_t >
dpp::event_router_t< dpp::message_reaction_remove_t >
< dpp::message_reaction_remove_t >
dpp::event_router_t< dpp::message_update_t >
< dpp::message_update_t >
dpp::event_router_t< dpp::presence_update_t >
< dpp::presence_update_t >
dpp::event_router_t< dpp::ready_t >
< dpp::ready_t >
dpp::event_router_t< dpp::resumed_t >
< dpp::resumed_t >
dpp::event_router_t< dpp::select_click_t >
< dpp::select_click_t >
dpp::event_router_t< dpp::slashcommand_t >
< dpp::slashcommand_t >
dpp::event_router_t< dpp::socket_close_t >
< dpp::socket_close_t >
dpp::event_router_t< dpp::stage_instance_create_t >
< dpp::stage_instance_create_t >
dpp::event_router_t< dpp::stage_instance_delete_t >
< dpp::stage_instance_delete_t >
dpp::event_router_t< dpp::stage_instance_update_t >
< dpp::stage_instance_update_t >
dpp::event_router_t< dpp::thread_create_t >
< dpp::thread_create_t >
dpp::event_router_t< dpp::thread_delete_t >
< dpp::thread_delete_t >
dpp::event_router_t< dpp::thread_list_sync_t >
< dpp::thread_list_sync_t >
dpp::event_router_t< dpp::thread_member_update_t >
< dpp::thread_member_update_t >
dpp::event_router_t< dpp::thread_members_update_t >
< dpp::thread_members_update_t >
dpp::event_router_t< dpp::thread_update_t >
< dpp::thread_update_t >
dpp::event_router_t< dpp::typing_start_t >
< dpp::typing_start_t >
dpp::event_router_t< dpp::user_context_menu_t >
< dpp::user_context_menu_t >
dpp::event_router_t< dpp::user_update_t >
< dpp::user_update_t >
dpp::event_router_t< dpp::voice_buffer_send_t >
< dpp::voice_buffer_send_t >
dpp::event_router_t< dpp::voice_channel_effect_send_t >
< dpp::voice_channel_effect_send_t >
dpp::event_router_t< dpp::voice_client_disconnect_t >
< dpp::voice_client_disconnect_t >
dpp::event_router_t< dpp::voice_client_platform_t >
< dpp::voice_client_platform_t >
dpp::event_router_t< dpp::voice_client_speaking_t >
< dpp::voice_client_speaking_t >
dpp::event_router_t< dpp::voice_ready_t >
< dpp::voice_ready_t >
dpp::event_router_t< dpp::voice_receive_t >
< dpp::voice_receive_t >
dpp::event_router_t< dpp::voice_server_update_t >
< dpp::voice_server_update_t >
dpp::event_router_t< dpp::voice_state_update_t >
< dpp::voice_state_update_t >
dpp::event_router_t< dpp::voice_track_marker_t >
< dpp::voice_track_marker_t >
dpp::event_router_t< dpp::webhooks_update_t >
< dpp::webhooks_update_t >
dpp::forum_tag
name
emoji
moderated
dpp::guild_member
nickname
roles
flags
guild_id
user_id
avatar
communication_disabled_until
joined_at
premium_since
dpp::interaction_metadata_type
id
interacted_message_id
original_response_message_id
type
usr
dpp::json_interface< T >
dpp::json_interface< channel >
< channel >
dpp::json_interface< component >
< component >
dpp::json_interface< forum_tag >
< forum_tag >
dpp::json_interface< guild_member >
< guild_member >
dpp::json_interface< message >
< message >
dpp::json_interface< role >
< role >
dpp::json_interface< select_option >
< select_option >
dpp::json_interface< sticker >
< sticker >
dpp::json_interface< user >
< user >
dpp::managed
id
dpp::message
channel_id
guild_id
webhook_id
author
member
content
nonce
components
components_json
edited
sent
mentions
mention_roles
mention_channels
attachments
embeds
reactions
stickers
file_data
message_reference
message_snapshots
interaction
interaction_metadata
allowed_mentions
owner
type
flags
mention_everyone
pinned
tts
attached_poll
dpp::message::allowed_ref
parse_everyone
parse_roles
parse_users
replied_user
roles
users
dpp::message::message_interaction_struct
id
type
name
usr
dpp::message::message_ref
type
channel_id
guild_id
message_id
fail_if_not_exists
dpp::message_file_data
content
mimetype
name
dpp::message_snapshot< T >
messages
dpp::message_snapshot< dpp::message >
messages
< dpp::message >
dpp::partial_emoji
name
id
animated
dpp::permission
value
dpp::permission_overwrite
id
allow
deny
type
dpp::reaction
count
count_burst
count_normal
emoji_id
emoji_name
me
me_burst
burst_colors
dpp::role
name
unicode_emoji
bot_id
guild_id
integration_id
subscription_listing_id
colour
flags
position
permissions
icon
dpp::select_option
description
label
value
is_default
emoji
dpp::snowflake
value
dpp::socket_engine_base
owner
fds_mutex
fds
stats
dpp::socket_stats
active_fds
deletions
errors
iterations
reads
updates
writes
engine_type
dpp::sticker
guild_id
pack_id
asset
description
filecontent
filename
name
tags
type
format_type
available
sticker_user
sort_value
dpp::user
global_name
username
avatar
avatar_decoration
primary_guild
flags
discriminator
refcount
dpp::utility::icon
hash_or_data
dpp::utility::iconhash
first
second
dpp::utility::primaryguild
id
enabled
tag
badge
int32_t
message_ref_type
message_type
json
separator_spacing
static constexpr uint16_t
atomic_bool
std::basic_string< Char >
std::basic_string_view< Char >
std::map< K, T >
keys
elements
std::map< dpp::snowflake, dpp::attachment >
keys
elements
< dpp::snowflake, dpp::attachment >
std::map< dpp::snowflake, dpp::channel >
keys
elements
< dpp::snowflake, dpp::channel >
std::map< dpp::snowflake, dpp::guild_member >
keys
elements
< dpp::snowflake, dpp::guild_member >
std::map< dpp::snowflake, dpp::message >
keys
elements
< dpp::snowflake, dpp::message >
std::map< dpp::snowflake, dpp::permission >
keys
elements
< dpp::snowflake, dpp::permission >
std::map< dpp::snowflake, dpp::role >
keys
elements
< dpp::snowflake, dpp::role >
std::map< dpp::snowflake, dpp::user >
keys
elements
< dpp::snowflake, dpp::user >
optional< dpp::embed_author >
optional< dpp::embed_footer >
optional< dpp::embed_image >
optional< dpp::embed_provider >
optional< dpp::poll >
optional< uint32_t >
std::pair< T1, T2 >
first_type
second_type
std::pair< dpp::user, dpp::guild_member >
first_type
second_type
< dpp::user, dpp::guild_member >
std::shared_mutex
std::shared_ptr< T >
ptr
std::shared_ptr< dpp::component >
ptr
< dpp::component >
std::string
std::string_view
std::unique_ptr< T >
ptr
std::unique_ptr< dpp::socket_engine_base >
ptr
< dpp::socket_engine_base >
std::unordered_map< K, T >
keys
elements
std::unordered_map< dpp::socket, std::unique_ptr< socket_events > >
< dpp::socket, std::unique_ptr< socket_events > >
variant< std::monostate, dpp::snowflake, std::string >
variant< std::monostate, dpp::utility::iconhash, dpp::utility::image_data >
variant< std::monostate, std::string, int64_t, double >
std::vector< T >
elements
vector< T >
std::vector< dpp::attachment >
elements
< dpp::attachment >
std::vector< dpp::channel >
elements
< dpp::channel >
std::vector< dpp::component >
elements
< dpp::component >
std::vector< dpp::component_default_value >
elements
< dpp::component_default_value >
std::vector< dpp::embed >
elements
< dpp::embed >
std::vector< dpp::embed_field >
elements
< dpp::embed_field >
std::vector< dpp::forum_tag >
elements
< dpp::forum_tag >
std::vector< dpp::message >
elements
< dpp::message >
std::vector< dpp::message_file_data >
elements
< dpp::message_file_data >
std::vector< dpp::permission_overwrite >
elements
< dpp::permission_overwrite >
std::vector< dpp::reaction >
elements
< dpp::reaction >
std::vector< dpp::select_option >
elements
< dpp::select_option >
std::vector< dpp::snowflake >
elements
< dpp::snowflake >
std::vector< dpp::sticker >
elements
< dpp::sticker >
std::vector< std::pair< dpp::user, dpp::guild_member > >
elements
< std::pair< dpp::user, dpp::guild_member > >
std::vector< std::shared_ptr< dpp::component > >
elements
< std::shared_ptr< dpp::component > >
std::vector< std::string >
elements
< std::string >
std::vector< uint32_t >
elements
< uint32_t >
std::vector< uint8_t >
elements
< uint8_t >
sticker_format
sticker_type
text_style_type
time_t
uint16_t
uint32_t
uint64_t
uint8_t
websocket_protocol_t
- dpp::command_resolved
  attachments
- dpp::command_resolved
  channels
- dpp::command_resolved
  member_permissions
- dpp::command_resolved
  members
- dpp::command_resolved
  messages
- dpp::command_resolved
  roles
- dpp::command_resolved
  users